Error moving to 2013 version

Topics: Project Management Forum, User Forum
Dec 13, 2013 at 5:08 PM
I recently upgrade the server and client to 2013. However when I now use the multivalue control 2013 version I get the following error each time I open a record with a multiselect field embedded.

Could not load file or assembly 'System.Web.Helpers, Version=2.0.0.0, Culture=Neutral, Public KeyToken=31bf385ad364e35' or one of it's dependancies. The system cannot find the file specified.

Any thoughts? I have reinstalled the custom code several times with no joy.

-p
Developer
Dec 15, 2013 at 2:12 PM
It works on my machine... :-)

I assume this is the WPF version of the control, right?

Could you provide some more details to help us troubleshoot:
  • Which version(s) of Visual Studio do you have installed?
  • Which .NET framework versions are installed?
Mathias
Dec 15, 2013 at 5:24 PM
Not sure about the WPF version. It's the version downloaded from this project - 1.2.0.0.

So we added the code to the extensions on the server - web version is running with no issues. However I have this issue on 2 different machines both running VS Premium 2013.

VS Premium 12.0.21005.1 REL
.NET Framework Version 4.5.5.51641

Both machines have the same VS, .NET framework, 2013 VS PowerTools and the same CustomControls2013 installs.

On another machine I have 2012 Professional with the 2012 control code. This connects to the same server with no issues.

Thanks

Paul
Developer
Dec 30, 2013 at 12:09 PM
Edited Dec 30, 2013 at 12:09 PM
I've published a 1.2.1.0 beta, https://witcustomcontrols.codeplex.com/releases/view/116312, with a fix to this issue. We are also testing a couple of improvements in the control, I hope we can make an official release in a few days.

Mathias
Marked as answer by MOlausson on 12/30/2013 at 5:13 AM